## r-bioc-s4vectors 0.6.2

=== DESCRIPTION ===
Package: S4Vectors
Title: S4 implementation of vectors and lists
Description: The S4Vectors package defines the Vector and List virtual classes
	and a set of generic functions that extend the semantic of ordinary
	vectors and lists in R. Package developers can easily implement
	vector-like or list-like objects as concrete subclasses of Vector or
	List. In addition, a few low-level concrete subclasses of general
	interest (e.g. DataFrame, Rle, and Hits) are implemented in the
	S4Vectors package itself (many more are implemented in the IRanges
	package and in other Bioconductor infrastructure packages).
Version: 0.6.2
Author: H. Pages, M. Lawrence and P. Aboyoun
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
biocViews: Infrastructure, DataRepresentation
Depends: R (>= 3.1.0), methods, utils, stats, stats4, BiocGenerics (>=
        0.11.3)
Imports: methods, utils, stats, stats4, BiocGenerics
Suggests: IRanges, RUnit
License: Artistic-2.0
Collate: S4-utils.R utils.R normarg-utils.R vector-utils.R isSorted.R
        logical-utils.R int-utils.R str-utils.R eval-utils.R
        DataTable-class.R subsetting-internals.R Annotated-class.R
        Vector-class.R Vector-comparison.R Hits-class.R
        Hits-comparison.R Hits-setops.R Rle-class.R Rle-utils.R
        List-class.R List-utils.R SimpleList-class.R DataFrame-class.R
        aggregate-methods.R zzz.R
NeedsCompilation: yes
Packaged: 2015-07-17 04:27:59 UTC; biocbuild

=== debian/changelog ===
r-bioc-s4vectors (0.6.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 17 Jul 2015 23:11:53 +0200

r-bioc-s4vectors (0.6.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 09 May 2015 08:09:26 +0200

r-bioc-s4vectors (0.4.0-1) experimental; urgency=medium

  * Initial release (closes: #765603)

 -- Andreas Tille <tille@debian.org>  Thu, 16 Oct 2014 00:13:34 +0200

=== debian/control ===
Source: r-bioc-s4vectors
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-bioc-biocgenerics (>= 0.12.0)
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-s4vectors/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-s4vectors/trunk/
Homepage: http://bioconductor.org/packages/release/bioc/html/S4Vectors.html

Package: r-bioc-s4vectors
Architecture: any
Depends: ${R:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
         r-bioc-biocgenerics (>= 0.12.0)
Recommends: r-bioc-iranges (>= 2.2.0)
Description: BioConductor S4 implementation of vectors and lists
 The S4Vectors package defines the Vector and List virtual classes and a
 set of generic functions that extend the semantic of ordinary vectors
 and lists in R. Package developers can easily implement vector-like or
 list-like objects as concrete subclasses of Vector or List. In addition,
 a few low-level concrete subclasses of general interest (e.g. DataFrame,
 Rle, and Hits) are implemented in the S4Vectors package itself (many
 more are implemented in the IRanges package and in other Bioconductor
 infrastructure packages).

=== debian/watch ===
version=3
opts=downloadurlmangle=s/\.\./packages\/release\/bioc/ \
 http://www.bioconductor.org/packages/release/bioc/html/S4Vectors.html .*/S4Vectors_([\d\.]+)\.tar\.gz

## r-bioc-s4vectors 0.8.0

=== DESCRIPTION ===
--- 
+++ 
@@ -8,21 +8,21 @@
 	interest (e.g. DataFrame, Rle, and Hits) are implemented in the
 	S4Vectors package itself (many more are implemented in the IRanges
 	package and in other Bioconductor infrastructure packages).
-Version: 0.6.2
+Version: 0.8.0
 Author: H. Pages, M. Lawrence and P. Aboyoun
 Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
 biocViews: Infrastructure, DataRepresentation
 Depends: R (>= 3.1.0), methods, utils, stats, stats4, BiocGenerics (>=
-        0.11.3)
+        0.15.10)
 Imports: methods, utils, stats, stats4, BiocGenerics
 Suggests: IRanges, RUnit
 License: Artistic-2.0
-Collate: S4-utils.R utils.R normarg-utils.R vector-utils.R isSorted.R
-        logical-utils.R int-utils.R str-utils.R eval-utils.R
+Collate: S4-utils.R show-utils.R utils.R normarg-utils.R vector-utils.R
+        isSorted.R logical-utils.R int-utils.R str-utils.R eval-utils.R
         DataTable-class.R subsetting-internals.R Annotated-class.R
         Vector-class.R Vector-comparison.R Hits-class.R
         Hits-comparison.R Hits-setops.R Rle-class.R Rle-utils.R
         List-class.R List-utils.R SimpleList-class.R DataFrame-class.R
-        aggregate-methods.R zzz.R
+        FilterRules-class.R aggregate-methods.R split-methods.R zzz.R
 NeedsCompilation: yes
-Packaged: 2015-07-17 04:27:59 UTC; biocbuild
+Packaged: 2015-10-14 03:31:11 UTC; biocbuild

=== debian/changelog ===
r-bioc-s4vectors (0.8.0-1) unstable; urgency=medium

  * New upstream version
  * Bumped versioned Build-Depends and Recommends

 -- Andreas Tille <tille@debian.org>  Thu, 29 Oct 2015 18:14:31 +0100

r-bioc-s4vectors (0.6.6-1) unstable; urgency=medium

  * New upstream version
  * Fixed watch file

 -- Andreas Tille <tille@debian.org>  Thu, 24 Sep 2015 21:24:10 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 9),
                cdbs,
                r-base-dev,
-               r-bioc-biocgenerics (>= 0.12.0)
+               r-bioc-biocgenerics (>= 0.16.0)
 Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-s4vectors/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-s4vectors/trunk/
@@ -19,7 +19,7 @@
          ${misc:Depends},
          ${shlibs:Depends},
          r-bioc-biocgenerics (>= 0.12.0)
-Recommends: r-bioc-iranges (>= 2.2.0)
+Recommends: r-bioc-iranges (>= 2.4.0)
 Description: BioConductor S4 implementation of vectors and lists
  The S4Vectors package defines the Vector and List virtual classes and a
  set of generic functions that extend the semantic of ordinary vectors

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-runit, r-bioc-iranges (>= 2.0.0)
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=downloadurlmangle=s?^(.*)\.\.?http:$1packages/release/bioc? \
 http://www.bioconductor.org/packages/release/bioc/html/S4Vectors.html .*/S4Vectors_([\d\.]+)\.tar\.gz

## r-bioc-s4vectors 0.10.2

=== DESCRIPTION ===
Package: S4Vectors
Title: S4 implementation of vectors and lists
Description: The S4Vectors package defines the Vector and List virtual classes
	and a set of generic functions that extend the semantic of ordinary
	vectors and lists in R. Package developers can easily implement
	vector-like or list-like objects as concrete subclasses of Vector or
	List. In addition, a few low-level concrete subclasses of general
	interest (e.g. DataFrame, Rle, and Hits) are implemented in the
	S4Vectors package itself (many more are implemented in the IRanges
	package and in other Bioconductor infrastructure packages).
Version: 0.10.2
Encoding: UTF-8
Author: H. Pagès, M. Lawrence and P. Aboyoun
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
biocViews: Infrastructure, DataRepresentation
Depends: R (>= 3.3.0), methods, utils, stats, stats4, BiocGenerics (>=
        0.15.10)
Suggests: IRanges, GenomicRanges, RUnit
License: Artistic-2.0
Collate: S4-utils.R show-utils.R utils.R normarg-utils.R isSorted.R
        subsetting-utils.R vector-utils.R logical-utils.R int-utils.R
        str-utils.R eval-utils.R DataTable-class.R Annotated-class.R
        Vector-class.R Vector-comparison.R Vector-setops.R Hits-class.R
        Hits-comparison.R Hits-setops.R Rle-class.R Rle-utils.R
        List-class.R List-comparison.R List-utils.R SimpleList-class.R
        HitsList-class.R DataFrame-class.R expand-methods.R
        FilterRules-class.R aggregate-methods.R shiftApply-methods.R
        split-methods.R Pairs-class.R zzz.R
NeedsCompilation: yes
Packaged: 2016-07-08 04:21:06 UTC; biocbuild

=== debian/changelog ===
r-bioc-s4vectors (0.10.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 16 Aug 2016 15:00:17 +0200

r-bioc-s4vectors (0.10.0-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Sun, 08 May 2016 08:17:19 +0200

r-bioc-s4vectors (0.8.11-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Mon, 22 Feb 2016 09:33:12 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
                cdbs,
                r-base-dev,
                r-bioc-biocgenerics (>= 0.16.0)
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-s4vectors/trunk/
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-s4vectors/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-s4vectors/trunk/
 Homepage: http://bioconductor.org/packages/release/bioc/html/S4Vectors.html

## r-bioc-s4vectors 0.12.1

=== DESCRIPTION ===
Package: S4Vectors
Title: S4 implementation of vectors and lists
Description: The S4Vectors package defines the Vector and List virtual classes
	and a set of generic functions that extend the semantic of ordinary
	vectors and lists in R. Package developers can easily implement
	vector-like or list-like objects as concrete subclasses of Vector or
	List. In addition, a few low-level concrete subclasses of general
	interest (e.g. DataFrame, Rle, and Hits) are implemented in the
	S4Vectors package itself (many more are implemented in the IRanges
	package and in other Bioconductor infrastructure packages).
Version: 0.12.1
Encoding: UTF-8
Author: H. Pagès, M. Lawrence and P. Aboyoun
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
biocViews: Infrastructure, DataRepresentation
Depends: R (>= 3.3.0), methods, utils, stats, stats4, BiocGenerics (>=
        0.15.10)
Suggests: IRanges, GenomicRanges, Matrix, ShortRead, graph, data.table,
        RUnit
License: Artistic-2.0
Collate: S4-utils.R show-utils.R utils.R normarg-utils.R isSorted.R
        subsetting-utils.R vector-utils.R logical-utils.R int-utils.R
        str-utils.R eval-utils.R DataTable-class.R Annotated-class.R
        Vector-class.R Vector-comparison.R Vector-setops.R
        Vector-merge.R Hits-class.R Hits-comparison.R Hits-setops.R
        Rle-class.R Rle-utils.R List-class.R List-comparison.R
        List-utils.R SimpleList-class.R HitsList-class.R
        DataFrame-class.R expand-methods.R FilterRules-class.R
        aggregate-methods.R shiftApply-methods.R split-methods.R
        Pairs-class.R zzz.R
NeedsCompilation: yes
Packaged: 2016-12-01 00:31:19 UTC; biocbuild

=== debian/changelog ===
r-bioc-s4vectors (0.12.1-2) unstable; urgency=medium

  * Add missing dependency for autopkgtest: r-bioc-genomicranges

 -- Andreas Tille <tille@debian.org>  Sun, 15 Jan 2017 17:28:22 +0100

r-bioc-s4vectors (0.12.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Mon, 05 Dec 2016 16:35:12 +0100

r-bioc-s4vectors (0.12.0-1) unstable; urgency=medium

  * New upstream version
  * Convert to dh-r
  * Generic BioConductor homepage

 -- Andreas Tille <tille@debian.org>  Wed, 26 Oct 2016 09:51:25 +0200

=== debian/control ===
--- 
+++ 
@@ -4,22 +4,22 @@
 Section: gnu-r
 Testsuite: autopkgtest
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               cdbs,
+Build-Depends: debhelper (>= 10),
                r-base-dev,
-               r-bioc-biocgenerics (>= 0.16.0)
+               r-bioc-biocgenerics (>= 0.16.0),
+               dh-r
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-s4vectors/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-s4vectors/trunk/
-Homepage: http://bioconductor.org/packages/release/bioc/html/S4Vectors.html
+Homepage: https://bioconductor.org/packages/S4Vectors/
 
 Package: r-bioc-s4vectors
 Architecture: any
 Depends: ${R:Depends},
          ${misc:Depends},
-         ${shlibs:Depends},
-         r-bioc-biocgenerics (>= 0.12.0)
-Recommends: r-bioc-iranges (>= 2.4.0)
+         ${shlibs:Depends}
+Recommends: ${R:Recommends}
+Suggests: ${R:Suggests}
 Description: BioConductor S4 implementation of vectors and lists
  The S4Vectors package defines the Vector and List virtual classes and a
  set of generic functions that extend the semantic of ordinary vectors

## r-bioc-s4vectors 0.14.7

=== DESCRIPTION ===
--- 
+++ 
@@ -8,19 +8,21 @@
 	interest (e.g. DataFrame, Rle, and Hits) are implemented in the
 	S4Vectors package itself (many more are implemented in the IRanges
 	package and in other Bioconductor infrastructure packages).
-Version: 0.12.1
+Version: 0.14.7
 Encoding: UTF-8
 Author: H. Pagès, M. Lawrence and P. Aboyoun
 Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
 biocViews: Infrastructure, DataRepresentation
 Depends: R (>= 3.3.0), methods, utils, stats, stats4, BiocGenerics (>=
-        0.15.10)
+        0.21.1)
+Imports: methods, utils, stats, stats4, BiocGenerics
 Suggests: IRanges, GenomicRanges, Matrix, ShortRead, graph, data.table,
         RUnit
 License: Artistic-2.0
-Collate: S4-utils.R show-utils.R utils.R normarg-utils.R isSorted.R
-        subsetting-utils.R vector-utils.R logical-utils.R int-utils.R
-        str-utils.R eval-utils.R DataTable-class.R Annotated-class.R
+Collate: S4-utils.R show-utils.R utils.R normarg-utils.R
+        Linteger-class.R isSorted.R subsetting-utils.R vector-utils.R
+        logical-utils.R int-utils.R str-utils.R eval-utils.R
+        map_ranges_to_runs.R DataTable-class.R Annotated-class.R
         Vector-class.R Vector-comparison.R Vector-setops.R
         Vector-merge.R Hits-class.R Hits-comparison.R Hits-setops.R
         Rle-class.R Rle-utils.R List-class.R List-comparison.R
@@ -29,4 +31,4 @@
         aggregate-methods.R shiftApply-methods.R split-methods.R
         Pairs-class.R zzz.R
 NeedsCompilation: yes
-Packaged: 2016-12-01 00:31:19 UTC; biocbuild
+Packaged: 2017-10-07 23:44:04 UTC; biocbuild

=== debian/changelog ===
r-bioc-s4vectors (0.14.7-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1
  * Build-Depends: r-bioc-biocgenerics (>= 0.22.1)
  * Remove unnecessary testsuite autopkgtest-header

 -- Andreas Tille <tille@debian.org>  Thu, 12 Oct 2017 16:19:00 +0200

r-bioc-s4vectors (0.14.3-1) unstable; urgency=medium

  * Team upload
  * New upstream version

 -- Graham Inggs <ginggs@debian.org>  Tue, 13 Jun 2017 10:41:55 +0200

r-bioc-s4vectors (0.14.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * Bump versioned Build-Depends: r-bioc-biocgenerics (>= 0.21.1)

 -- Graham Inggs <ginggs@debian.org>  Tue, 16 May 2017 15:27:37 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,14 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
-Testsuite: autopkgtest
 Priority: optional
 Build-Depends: debhelper (>= 10),
                r-base-dev,
-               r-bioc-biocgenerics (>= 0.16.0),
+               r-bioc-biocgenerics (>= 0.22.1),
                dh-r
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-s4vectors/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-s4vectors/trunk/
+Standards-Version: 4.1.1
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-bioc-s4vectors.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/r-bioc-s4vectors.git
 Homepage: https://bioconductor.org/packages/S4Vectors/
 
 Package: r-bioc-s4vectors

## r-bioc-s4vectors 0.16.0

=== DESCRIPTION ===
Package: S4Vectors
Title: S4 implementation of vector-like and list-like objects
Description: The S4Vectors package defines the Vector and List virtual classes
	and a set of generic functions that extend the semantic of ordinary
	vectors and lists in R. Package developers can easily implement
	vector-like or list-like objects as concrete subclasses of Vector or
	List. In addition, a few low-level concrete subclasses of general
	interest (e.g. DataFrame, Rle, and Hits) are implemented in the
	S4Vectors package itself (many more are implemented in the IRanges
	package and in other Bioconductor infrastructure packages).
Version: 0.16.0
Encoding: UTF-8
Author: H. Pagès, M. Lawrence and P. Aboyoun
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
biocViews: Infrastructure, DataRepresentation
Depends: R (>= 3.3.0), methods, utils, stats, stats4, BiocGenerics (>=
        0.23.3)
Suggests: IRanges, GenomicRanges, Matrix, ShortRead, graph, data.table,
        RUnit
License: Artistic-2.0
Collate: S4-utils.R show-utils.R utils.R normarg-utils.R LLint-class.R
        isSorted.R subsetting-utils.R vector-utils.R integer-utils.R
        character-utils.R eval-utils.R map_ranges_to_runs.R
        DataTable-class.R Annotated-class.R Vector-class.R
        Vector-comparison.R Vector-setops.R Vector-merge.R Hits-class.R
        Hits-comparison.R Hits-setops.R Rle-class.R Rle-utils.R
        List-class.R List-comparison.R List-utils.R SimpleList-class.R
        HitsList-class.R DataFrame-class.R expand-methods.R
        FilterRules-class.R aggregate-methods.R shiftApply-methods.R
        split-methods.R Pairs-class.R zzz.R
NeedsCompilation: yes
Packaged: 2017-10-30 23:57:18 UTC; biocbuild

=== debian/changelog ===
r-bioc-s4vectors (0.16.0-1) unstable; urgency=medium

  * New upstream version
  * Bump versioned Build-Depends: r-bioc-biocgenerics (>= 0.23.3)

 -- Andreas Tille <tille@debian.org>  Tue, 07 Nov 2017 17:44:21 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 10),
                r-base-dev,
-               r-bioc-biocgenerics (>= 0.22.1),
+               r-bioc-biocgenerics (>= 0.23.3),
                dh-r
 Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-bioc-s4vectors.git

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-runit, r-bioc-iranges (>= 2.0.0), r-bioc-genomicranges
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?http:$1packages/release/bioc? \
 http://www.bioconductor.org/packages/release/bioc/html/S4Vectors.html .*/S4Vectors_([\d\.]+)\.tar\.gz

## r-bioc-s4vectors 0.18.3

=== DESCRIPTION ===
--- 
+++ 
@@ -8,15 +8,15 @@
 	interest (e.g. DataFrame, Rle, and Hits) are implemented in the
 	S4Vectors package itself (many more are implemented in the IRanges
 	package and in other Bioconductor infrastructure packages).
-Version: 0.16.0
+Version: 0.18.3
 Encoding: UTF-8
 Author: H. Pagès, M. Lawrence and P. Aboyoun
 Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
 biocViews: Infrastructure, DataRepresentation
 Depends: R (>= 3.3.0), methods, utils, stats, stats4, BiocGenerics (>=
         0.23.3)
-Suggests: IRanges, GenomicRanges, Matrix, ShortRead, graph, data.table,
-        RUnit
+Suggests: IRanges, GenomicRanges, SummarizedExperiment, Matrix,
+        DelayedArray, ShortRead, graph, data.table, RUnit, BiocStyle
 License: Artistic-2.0
 Collate: S4-utils.R show-utils.R utils.R normarg-utils.R LLint-class.R
         isSorted.R subsetting-utils.R vector-utils.R integer-utils.R
@@ -25,8 +25,8 @@
         Vector-comparison.R Vector-setops.R Vector-merge.R Hits-class.R
         Hits-comparison.R Hits-setops.R Rle-class.R Rle-utils.R
         List-class.R List-comparison.R List-utils.R SimpleList-class.R
-        HitsList-class.R DataFrame-class.R expand-methods.R
-        FilterRules-class.R aggregate-methods.R shiftApply-methods.R
-        split-methods.R Pairs-class.R zzz.R
+        HitsList-class.R DataFrame-class.R Pairs-class.R
+        expand-methods.R FilterRules-class.R aggregate-methods.R
+        shiftApply-methods.R split-methods.R zzz.R
 NeedsCompilation: yes
-Packaged: 2017-10-30 23:57:18 UTC; biocbuild
+Packaged: 2018-06-08 00:03:02 UTC; biocbuild

=== debian/changelog ===
r-bioc-s4vectors (0.18.3-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 14 Jun 2018 08:30:47 +0200

r-bioc-s4vectors (0.18.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 18 May 2018 09:59:00 +0200

r-bioc-s4vectors (0.18.1-4) unstable; urgency=medium

  * Team upload
  * Additional breaks: r-bioc-genomicalignments (<< 1.16~)
                       r-bioc-shortread (<< 1.38~)
                       r-bioc-variantannotation (<< 1.26~)

 -- Graham Inggs <ginggs@debian.org>  Tue, 08 May 2018 19:21:35 +0000

r-bioc-s4vectors (0.18.1-3) unstable; urgency=medium

  * Team upload
  * Indicate that this version breaks r-bioc-iranges (<< 2.14~)

 -- Graham Inggs <ginggs@debian.org>  Mon, 07 May 2018 15:42:56 +0000

r-bioc-s4vectors (0.18.1-2) unstable; urgency=medium

  * Fix Maintainer and Vcs-fields

 -- Andreas Tille <tille@debian.org>  Sun, 06 May 2018 07:52:20 +0200

r-bioc-s4vectors (0.18.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 03 May 2018 08:40:15 +0200

r-bioc-s4vectors (0.18.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper 11
  * dh-update-R to update Build-Depends
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Wed, 02 May 2018 13:19:53 +0200

=== debian/control ===
Source: r-bioc-s4vectors
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics (>= 0.23.3)
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-s4vectors
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-s4vectors.git
Homepage: https://bioconductor.org/packages/S4Vectors/

Package: r-bioc-s4vectors
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Breaks: r-bioc-genomicalignments (<< 1.16~),
        r-bioc-iranges (<< 2.14~),
        r-bioc-shortread (<< 1.38~),
        r-bioc-variantannotation (<< 1.26~)
Description: BioConductor S4 implementation of vectors and lists
 The S4Vectors package defines the Vector and List virtual classes and a
 set of generic functions that extend the semantic of ordinary vectors
 and lists in R. Package developers can easily implement vector-like or
 list-like objects as concrete subclasses of Vector or List. In addition,
 a few low-level concrete subclasses of general interest (e.g. DataFrame,
 Rle, and Hits) are implemented in the S4Vectors package itself (many
 more are implemented in the IRanges package and in other Bioconductor
 infrastructure packages).

## r-bioc-s4vectors 0.20.1

=== DESCRIPTION ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	interest (e.g. DataFrame, Rle, and Hits) are implemented in the
 	S4Vectors package itself (many more are implemented in the IRanges
 	package and in other Bioconductor infrastructure packages).
-Version: 0.18.3
+Version: 0.20.1
 Encoding: UTF-8
 Author: H. Pagès, M. Lawrence and P. Aboyoun
 Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
@@ -28,5 +28,10 @@
         HitsList-class.R DataFrame-class.R Pairs-class.R
         expand-methods.R FilterRules-class.R aggregate-methods.R
         shiftApply-methods.R split-methods.R zzz.R
+git_url: https://git.bioconductor.org/packages/S4Vectors
+git_branch: RELEASE_3_8
+git_last_commit: 1878b29
+git_last_commit_date: 2018-11-08
+Date/Publication: 2018-11-09
 NeedsCompilation: yes
-Packaged: 2018-06-08 00:03:02 UTC; biocbuild
+Packaged: 2018-11-10 01:13:11 UTC; biocbuild

=== debian/changelog ===
r-bioc-s4vectors (0.20.1-2) unstable; urgency=medium

  * Team upload.
  * Bump version of broken packages. (Closes: #913305)
     Breaks: r-bioc-genomicalignments (<< 1.18~)
             r-bioc-iranges (<< 2.16~)
             r-bioc-shortread (<< 1.40~)
             r-bioc-variantannotation (<< 1.28~)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 24 Nov 2018 13:52:03 +0100

r-bioc-s4vectors (0.20.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sun, 11 Nov 2018 08:26:40 +0100

r-bioc-s4vectors (0.20.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.2.1
  * Remove trailing whitespace in debian/copyright

 -- Dylan Aïssi <daissi@debian.org>  Wed, 07 Nov 2018 07:49:32 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-r,
                r-base-dev,
                r-bioc-biocgenerics (>= 0.23.3)
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-s4vectors
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-s4vectors.git
 Homepage: https://bioconductor.org/packages/S4Vectors/
@@ -19,10 +19,10 @@
          ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
-Breaks: r-bioc-genomicalignments (<< 1.16~),
-        r-bioc-iranges (<< 2.14~),
-        r-bioc-shortread (<< 1.38~),
-        r-bioc-variantannotation (<< 1.26~)
+Breaks: r-bioc-genomicalignments (<< 1.18~),
+        r-bioc-iranges (<< 2.16~),
+        r-bioc-shortread (<< 1.40~),
+        r-bioc-variantannotation (<< 1.28~)
 Description: BioConductor S4 implementation of vectors and lists
  The S4Vectors package defines the Vector and List virtual classes and a
  set of generic functions that extend the semantic of ordinary vectors

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?http:$1packages/release/bioc? \
 https://www.bioconductor.org/packages/release/bioc/html/S4Vectors.html .*/S4Vectors_([\d\.]+)\.tar\.gz

## r-bioc-s4vectors 0.22.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Package: S4Vectors
-Title: S4 implementation of vector-like and list-like objects
+Title: Foundation of vector-like and list-like containers in
+        Bioconductor
 Description: The S4Vectors package defines the Vector and List virtual classes
 	and a set of generic functions that extend the semantic of ordinary
 	vectors and lists in R. Package developers can easily implement
@@ -8,7 +9,7 @@
 	interest (e.g. DataFrame, Rle, and Hits) are implemented in the
 	S4Vectors package itself (many more are implemented in the IRanges
 	package and in other Bioconductor infrastructure packages).
-Version: 0.20.1
+Version: 0.22.0
 Encoding: UTF-8
 Author: H. Pagès, M. Lawrence and P. Aboyoun
 Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
@@ -20,7 +21,7 @@
 License: Artistic-2.0
 Collate: S4-utils.R show-utils.R utils.R normarg-utils.R LLint-class.R
         isSorted.R subsetting-utils.R vector-utils.R integer-utils.R
-        character-utils.R eval-utils.R map_ranges_to_runs.R
+        character-utils.R raw-utils.R eval-utils.R map_ranges_to_runs.R
         DataTable-class.R Annotated-class.R Vector-class.R
         Vector-comparison.R Vector-setops.R Vector-merge.R Hits-class.R
         Hits-comparison.R Hits-setops.R Rle-class.R Rle-utils.R
@@ -29,9 +30,9 @@
         expand-methods.R FilterRules-class.R aggregate-methods.R
         shiftApply-methods.R split-methods.R zzz.R
 git_url: https://git.bioconductor.org/packages/S4Vectors
-git_branch: RELEASE_3_8
-git_last_commit: 1878b29
-git_last_commit_date: 2018-11-08
-Date/Publication: 2018-11-09
+git_branch: RELEASE_3_9
+git_last_commit: 0787f5b
+git_last_commit_date: 2019-05-02
+Date/Publication: 2019-05-02
 NeedsCompilation: yes
-Packaged: 2018-11-10 01:13:11 UTC; biocbuild
+Packaged: 2019-05-03 00:59:23 UTC; biocbuild

=== debian/changelog ===
r-bioc-s4vectors (0.22.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Wed, 03 Jul 2019 11:46:13 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-bioc-biocgenerics (>= 0.23.3)
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-s4vectors
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-s4vectors.git
 Homepage: https://bioconductor.org/packages/S4Vectors/

## r-bioc-s4vectors 0.24.3

=== DESCRIPTION ===
--- 
+++ 
@@ -9,13 +9,13 @@
 	interest (e.g. DataFrame, Rle, and Hits) are implemented in the
 	S4Vectors package itself (many more are implemented in the IRanges
 	package and in other Bioconductor infrastructure packages).
-Version: 0.22.0
+Version: 0.24.3
 Encoding: UTF-8
 Author: H. Pagès, M. Lawrence and P. Aboyoun
 Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
 biocViews: Infrastructure, DataRepresentation
 Depends: R (>= 3.3.0), methods, utils, stats, stats4, BiocGenerics (>=
-        0.23.3)
+        0.31.1)
 Suggests: IRanges, GenomicRanges, SummarizedExperiment, Matrix,
         DelayedArray, ShortRead, graph, data.table, RUnit, BiocStyle
 License: Artistic-2.0
@@ -25,14 +25,15 @@
         DataTable-class.R Annotated-class.R Vector-class.R
         Vector-comparison.R Vector-setops.R Vector-merge.R Hits-class.R
         Hits-comparison.R Hits-setops.R Rle-class.R Rle-utils.R
-        List-class.R List-comparison.R List-utils.R SimpleList-class.R
-        HitsList-class.R DataFrame-class.R Pairs-class.R
+        Factor-class.R List-class.R List-comparison.R splitAsList.R
+        List-utils.R SimpleList-class.R HitsList-class.R
+        DataFrame-class.R DataFrame-comparison.R Pairs-class.R
         expand-methods.R FilterRules-class.R aggregate-methods.R
-        shiftApply-methods.R split-methods.R zzz.R
+        shiftApply-methods.R zzz.R
 git_url: https://git.bioconductor.org/packages/S4Vectors
-git_branch: RELEASE_3_9
-git_last_commit: 0787f5b
-git_last_commit_date: 2019-05-02
-Date/Publication: 2019-05-02
+git_branch: RELEASE_3_10
+git_last_commit: dee1a8b
+git_last_commit_date: 2020-01-18
+Date/Publication: 2020-01-18
 NeedsCompilation: yes
-Packaged: 2019-05-03 00:59:23 UTC; biocbuild
+Packaged: 2020-01-19 01:42:21 UTC; biocbuild

=== debian/changelog ===
r-bioc-s4vectors (0.24.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 23 Jan 2020 11:33:07 +0100

r-bioc-s4vectors (0.24.2-2) unstable; urgency=medium

  * Team upload
  * Bump Breaks: r-bioc-iranges (<< 2.20.2~)

 -- Graham Inggs <ginggs@debian.org>  Sat, 18 Jan 2020 20:17:25 +0000

r-bioc-s4vectors (0.24.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Wed, 15 Jan 2020 07:44:49 +0100

r-bioc-s4vectors (0.24.1-2) unstable; urgency=medium

  * Team upload.
  * Fix autopkgtests (Closes: #947004).

 -- Dylan Aïssi <daissi@debian.org>  Sat, 11 Jan 2020 16:21:03 +0100

r-bioc-s4vectors (0.24.1-1) unstable; urgency=medium

  * New upstream version
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.

 -- Andreas Tille <tille@debian.org>  Thu, 05 Dec 2019 22:00:25 +0100

r-bioc-s4vectors (0.24.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.4.1

 -- Dylan Aïssi <daissi@debian.org>  Tue, 05 Nov 2019 22:17:29 +0100

r-bioc-s4vectors (0.22.1-1) unstable; urgency=medium

  * New upstream version
  * Fixed debian/watch for BioConductor
  * debhelper-compat 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Mon, 16 Sep 2019 09:02:37 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
-               r-bioc-biocgenerics (>= 0.23.3)
-Standards-Version: 4.3.0
+               r-bioc-biocgenerics (>= 0.31.1)
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-s4vectors
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-s4vectors.git
 Homepage: https://bioconductor.org/packages/S4Vectors/
@@ -20,7 +20,7 @@
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Breaks: r-bioc-genomicalignments (<< 1.18~),
-        r-bioc-iranges (<< 2.16~),
+        r-bioc-iranges (<< 2.20.2~),
         r-bioc-shortread (<< 1.40~),
         r-bioc-variantannotation (<< 1.28~)
 Description: BioConductor S4 implementation of vectors and lists

## r-bioc-s4vectors 0.26.1

=== DESCRIPTION ===
Package: S4Vectors
Title: Foundation of vector-like and list-like containers in
        Bioconductor
Description: The S4Vectors package defines the Vector and List virtual classes
	and a set of generic functions that extend the semantic of ordinary
	vectors and lists in R. Package developers can easily implement
	vector-like or list-like objects as concrete subclasses of Vector or
	List. In addition, a few low-level concrete subclasses of general
	interest (e.g. DataFrame, Rle, and Hits) are implemented in the
	S4Vectors package itself (many more are implemented in the IRanges
	package and in other Bioconductor infrastructure packages).
Version: 0.26.1
Encoding: UTF-8
Author: H. Pagès, M. Lawrence and P. Aboyoun
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
biocViews: Infrastructure, DataRepresentation
Depends: R (>= 3.3.0), methods, utils, stats, stats4, BiocGenerics (>=
        0.31.1)
Suggests: IRanges, GenomicRanges, SummarizedExperiment, Matrix,
        DelayedArray, ShortRead, graph, data.table, RUnit, BiocStyle
License: Artistic-2.0
Collate: S4-utils.R show-utils.R utils.R normarg-utils.R bindROWS.R
        LLint-class.R isSorted.R subsetting-utils.R vector-utils.R
        integer-utils.R character-utils.R raw-utils.R eval-utils.R
        map_ranges_to_runs.R DataTable-class.R Annotated-class.R
        Vector-class.R Vector-comparison.R Vector-setops.R
        Vector-merge.R Hits-class.R Hits-comparison.R Hits-setops.R
        Rle-class.R Rle-utils.R Factor-class.R List-class.R
        List-comparison.R splitAsList.R List-utils.R SimpleList-class.R
        HitsList-class.R DataFrame-class.R DataFrame-comparison.R
        TransposedDataFrame-class.R Pairs-class.R expand-methods.R
        FilterRules-class.R aggregate-methods.R shiftApply-methods.R
        zzz.R
git_url: https://git.bioconductor.org/packages/S4Vectors
git_branch: RELEASE_3_11
git_last_commit: 935769c
git_last_commit_date: 2020-05-15
Date/Publication: 2020-05-16
NeedsCompilation: yes
Packaged: 2020-05-17 00:49:58 UTC; biocbuild

=== debian/changelog ===
r-bioc-s4vectors (0.26.1-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 10:42:37 +0000

r-bioc-s4vectors (0.26.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Fri, 22 May 2020 08:20:31 +0200

r-bioc-s4vectors (0.26.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Fri, 15 May 2020 11:13:18 +0200

r-bioc-s4vectors (0.24.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 12 Apr 2020 12:21:02 +0200

r-bioc-s4vectors (0.24.3-2) UNRELEASED; urgency=medium

  * d/copyright: Remove tabs

 -- Andreas Tille <tille@debian.org>  Thu, 23 Jan 2020 11:47:42 +0100

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-r,
@@ -11,6 +12,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-s4vectors
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-s4vectors.git
 Homepage: https://bioconductor.org/packages/S4Vectors/
+Rules-Requires-Root: no
 
 Package: r-bioc-s4vectors
 Architecture: any

## r-bioc-s4vectors 0.28.1

=== DESCRIPTION ===
Package: S4Vectors
Title: Foundation of vector-like and list-like containers in
        Bioconductor
Description: The S4Vectors package defines the Vector and List virtual classes
	and a set of generic functions that extend the semantic of ordinary
	vectors and lists in R. Package developers can easily implement
	vector-like or list-like objects as concrete subclasses of Vector or
	List. In addition, a few low-level concrete subclasses of general
	interest (e.g. DataFrame, Rle, and Hits) are implemented in the
	S4Vectors package itself (many more are implemented in the IRanges
	package and in other Bioconductor infrastructure packages).
biocViews: Infrastructure, DataRepresentation
URL: https://bioconductor.org/packages/S4Vectors
BugReports: https://github.com/Bioconductor/S4Vectors/issues
Version: 0.28.1
License: Artistic-2.0
Encoding: UTF-8
Author: H. Pagès, M. Lawrence and P. Aboyoun
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
Depends: R (>= 4.0.0), methods, utils, stats, stats4, BiocGenerics (>=
        0.36.0)
Suggests: IRanges, GenomicRanges, SummarizedExperiment, Matrix,
        DelayedArray, ShortRead, graph, data.table, RUnit, BiocStyle
Collate: S4-utils.R show-utils.R utils.R normarg-utils.R bindROWS.R
        LLint-class.R isSorted.R subsetting-utils.R vector-utils.R
        integer-utils.R character-utils.R raw-utils.R eval-utils.R
        map_ranges_to_runs.R RectangularData-class.R Annotated-class.R
        DataFrame_OR_NULL-class.R Vector-class.R Vector-comparison.R
        Vector-setops.R Vector-merge.R Hits-class.R Hits-comparison.R
        Hits-setops.R Rle-class.R Rle-utils.R Factor-class.R
        List-class.R List-comparison.R splitAsList.R List-utils.R
        SimpleList-class.R HitsList-class.R DataFrame-class.R
        DataFrame-comparison.R DataFrame-utils.R
        TransposedDataFrame-class.R Pairs-class.R FilterRules-class.R
        stack-methods.R expand-methods.R aggregate-methods.R
        shiftApply-methods.R zzz.R
git_url: https://git.bioconductor.org/packages/S4Vectors
git_branch: RELEASE_3_12
git_last_commit: 994cb7e
git_last_commit_date: 2020-12-08
Date/Publication: 2020-12-09
NeedsCompilation: yes
Packaged: 2020-12-10 03:07:47 UTC; biocbuild

=== debian/changelog ===
r-bioc-s4vectors (0.28.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 04 Jan 2021 22:12:12 +0100

r-bioc-s4vectors (0.28.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 01 Nov 2020 14:28:42 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-biocgenerics (>= 0.31.1)
-Standards-Version: 4.5.0
+               r-bioc-biocgenerics (>= 0.36.0)
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-s4vectors
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-s4vectors.git
 Homepage: https://bioconductor.org/packages/S4Vectors/

## r-bioc-s4vectors 0.32.3

=== DESCRIPTION ===
--- 
+++ 
@@ -12,13 +12,13 @@
 biocViews: Infrastructure, DataRepresentation
 URL: https://bioconductor.org/packages/S4Vectors
 BugReports: https://github.com/Bioconductor/S4Vectors/issues
-Version: 0.28.1
+Version: 0.32.3
 License: Artistic-2.0
 Encoding: UTF-8
 Author: H. Pagès, M. Lawrence and P. Aboyoun
 Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
 Depends: R (>= 4.0.0), methods, utils, stats, stats4, BiocGenerics (>=
-        0.36.0)
+        0.37.0)
 Suggests: IRanges, GenomicRanges, SummarizedExperiment, Matrix,
         DelayedArray, ShortRead, graph, data.table, RUnit, BiocStyle
 Collate: S4-utils.R show-utils.R utils.R normarg-utils.R bindROWS.R
@@ -30,14 +30,14 @@
         Hits-setops.R Rle-class.R Rle-utils.R Factor-class.R
         List-class.R List-comparison.R splitAsList.R List-utils.R
         SimpleList-class.R HitsList-class.R DataFrame-class.R
-        DataFrame-comparison.R DataFrame-utils.R
+        DataFrame-combine.R DataFrame-comparison.R DataFrame-utils.R
         TransposedDataFrame-class.R Pairs-class.R FilterRules-class.R
         stack-methods.R expand-methods.R aggregate-methods.R
         shiftApply-methods.R zzz.R
 git_url: https://git.bioconductor.org/packages/S4Vectors
-git_branch: RELEASE_3_12
-git_last_commit: 994cb7e
-git_last_commit_date: 2020-12-08
-Date/Publication: 2020-12-09
+git_branch: RELEASE_3_14
+git_last_commit: ad90e78
+git_last_commit_date: 2021-11-18
+Date/Publication: 2021-11-21
 NeedsCompilation: yes
-Packaged: 2020-12-10 03:07:47 UTC; biocbuild
+Packaged: 2021-11-21 12:47:20 UTC; biocbuild

=== debian/changelog ===
r-bioc-s4vectors (0.32.3-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 24 Nov 2021 07:31:56 +0100

r-bioc-s4vectors (0.30.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 12 Oct 2021 18:48:40 +0200

r-bioc-s4vectors (0.30.1-2) unstable; urgency=medium

  * Provide autopkgtest-pkg-r.conf to make sure Test-Depends will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Fri, 01 Oct 2021 11:46:02 +0200

r-bioc-s4vectors (0.30.1-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 01 Oct 2021 08:23:04 +0200

r-bioc-s4vectors (0.30.0-1) unstable; urgency=medium

  * Team upload.
  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Dylan Aïssi <daissi@debian.org>  Thu, 02 Sep 2021 20:46:24 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-biocgenerics (>= 0.36.0)
-Standards-Version: 4.5.1
+               r-bioc-biocgenerics (>= 0.37.0)
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-s4vectors
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-s4vectors.git
 Homepage: https://bioconductor.org/packages/S4Vectors/
@@ -21,10 +21,7 @@
          ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
-Breaks: r-bioc-genomicalignments (<< 1.18~),
-        r-bioc-iranges (<< 2.20.2~),
-        r-bioc-shortread (<< 1.40~),
-        r-bioc-variantannotation (<< 1.28~)
+Breaks: r-bioc-iranges (<< 2.20.2~)
 Description: BioConductor S4 implementation of vectors and lists
  The S4Vectors package defines the Vector and List virtual classes and a
  set of generic functions that extend the semantic of ordinary vectors

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
 https://www.bioconductor.org/packages/release/bioc/html/S4Vectors.html .*/S4Vectors_([\d\.]+)\.tar\.gz

## r-bioc-s4vectors 0.34.0

=== DESCRIPTION ===
--- 
+++ 
@@ -12,7 +12,7 @@
 biocViews: Infrastructure, DataRepresentation
 URL: https://bioconductor.org/packages/S4Vectors
 BugReports: https://github.com/Bioconductor/S4Vectors/issues
-Version: 0.32.3
+Version: 0.34.0
 License: Artistic-2.0
 Encoding: UTF-8
 Author: H. Pagès, M. Lawrence and P. Aboyoun
@@ -35,9 +35,9 @@
         stack-methods.R expand-methods.R aggregate-methods.R
         shiftApply-methods.R zzz.R
 git_url: https://git.bioconductor.org/packages/S4Vectors
-git_branch: RELEASE_3_14
-git_last_commit: ad90e78
-git_last_commit_date: 2021-11-18
-Date/Publication: 2021-11-21
+git_branch: RELEASE_3_15
+git_last_commit: f590de3
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: yes
-Packaged: 2021-11-21 12:47:20 UTC; biocbuild
+Packaged: 2022-04-26 21:56:33 UTC; biocbuild

=== debian/changelog ===
r-bioc-s4vectors (0.34.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 12 May 2022 15:28:05 +0200

r-bioc-s4vectors (0.32.4-2) unstable; urgency=medium

  * Team upload.
  * Re-build with R 4.2.0-1

 -- Nilesh Patra <nilesh@debian.org>  Sun, 01 May 2022 14:04:34 +0530

r-bioc-s4vectors (0.32.4-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 0.32.4
  * Add upstream commits as patch to fix autopkgtest

 -- Nilesh Patra <nilesh@debian.org>  Mon, 28 Mar 2022 23:25:05 +0530
